       IDENTIFICATION DIVISION.
       PROGRAM-ID.    REPMAIL1.

      ******************************************************
      * REPORTE, VISUALIZA, GENERA PDF Y ENVIA POR EMAIL
      ******************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           COPY "COBLIB\HTML-OUT.SEL".

       DATA DIVISION.

       FILE SECTION.

       COPY "COBLIB\HTML-OUT.FD".

       WORKING-STORAGE SECTION.

       COPY "COBLIB\TEMPLATE.WSS".

       77  STAT-CAT                  PIC XX.
       77  WF-CLIENTES               PIC X(50).
       77  FLAG-ROW                  PIC 9.
       77  I                         PIC 99.

       77  MEM-LINE      PIC X(150).
       77  MEM-COMPANY   PIC X(80) VALUE "COBTOOLS.COM".

      *<COBHTTPD-DATA PREFIX="LS-">
       01  WEB-DATA.
           02  LS-LOGINOK            PIC X(10).
           
       01  ARR-DATA.
           02 FILLER    PIC X(35) VALUE
              "001JUAN PEREZ     01/09/05000011500".
           02 FILLER    PIC X(35) VALUE
              "002MIGUEL HDZ     03/01/04000012350".
           02 FILLER    PIC X(35) VALUE
              "003MICAELA PEREZ  05/04/01000150025".
           02 FILLER    PIC X(35) VALUE
              "004DOMITILA RDZ   16/12/02000035700".
           02 FILLER    PIC X(35) VALUE
              "005CARLOS MORENO  02/10/03000047600".
           02 FILLER    PIC X(35) VALUE
              "006RAMON GARCIA   19/09/07000105800".
           02 FILLER    PIC X(35) VALUE
              "007RUBEN VALDEZ   22/05/02000359300".
           02 FILLER    PIC X(35) VALUE
              "008ALFREDO SOSA   30/01/05000086300".
           02 FILLER    PIC X(35) VALUE
              "009MARGARITA ROSAS23/01/04000079700".
           02 FILLER    PIC X(35) VALUE
              "010RAMIRO ALEJA   25/09/03000100500".
           02 FILLER    PIC X(35) VALUE
              "011ROSENDO JARA   01/04/03000048900".
           02 FILLER    PIC X(35) VALUE
              "012MILU PAZ       02/11/02000098430".
           02 FILLER    PIC X(35) VALUE
              "013MAGDALENA S.   01/09/04000192500".
           02 FILLER    PIC X(35) VALUE
              "014JOHN SMITH     04/06/05000005500".
           02 FILLER    PIC X(35) VALUE
              "015JOSEPH PEREZ   08/05/02000092000".
           02 FILLER    PIC X(35) VALUE
              "016WILIAMS MAR    11/02/04000053200".
           02 FILLER    PIC X(35) VALUE
              "017MARIQUITA P.   21/01/01000027500".
           02 FILLER    PIC X(35) VALUE
              "018MILO S.        23/03/05000057300".
           02 FILLER    PIC X(35) VALUE
              "019ANDRES J.      28/12/03000073660".
           02 FILLER    PIC X(35) VALUE
              "020JUSTO P.       09/11/01000027500".
       01  ARR-DATR          REDEFINES ARR-DATA.
           02 ARR-DATAX      OCCURS 20 TIMES.
              04 ARR-KEY     PIC 9(03).
              04 ARR-NAME    PIC X(15).
              04 ARR-DATE    PIC X(08).
              04 ARR-AMOUNT  PIC 9(07)V99.


       01  DETA1.
           02 FILLER           PIC X(08) VALUE "<COL #1>".
           02 DET1-KEY         PIC 9(05).
           02 FILLER           PIC X(08) VALUE "<COL #2>".
           02 DET1-NAME        PIC X(50).
           02 FILLER           PIC X(08) VALUE "<COL #3>".
           02 DET1-ADDRESS     PIC X(50).
           02 FILLER           PIC X(08) VALUE "<COL #4>".
           02 DET1-CITY        PIC X(50).
           
       01  WSS-COBVIEW.
           02 FILLER           PIC X(30) 
              VALUE "C:\_BORRAR\COBV\COBVIEW.EXE".
           02 CBV-REP          PIC X(22).
           02 FILLER           PIC X(12) VALUE "/EXPORT-PDF".
           02 CBV-PDF          PIC X(22).

       LINKAGE SECTION.

       COPY "COBLIB\LS-HTTP.FDT".

       PROCEDURE DIVISION USING HTTP-CONTROL HTTP-DATA-INP.
       DECLARATIVES.
       BLOQUEO SECTION.
           USE AFTER STANDARD ERROR PROCEDURE ON HTML-OUT.
       END DECLARATIVES.
       PROGRAMA SECTION.
       0000-START.
           MOVE HTTP-DATA-INP  TO WEB-DATA.

           PERFORM TPL-OPEN-FILE.

           PERFORM 500-TITLES.

           MOVE 0 TO I.
           PERFORM 100-LEE THRU 100-EXIT.

           CLOSE HTML-OUT.
           
           PERFORM 600-CONVER-PDF.

           GO TO 999-EXIT.

       100-LEE.
           ADD 1 TO I.
           IF I > 20
              GO TO 100-EXIT.

           MOVE ARR-KEY(I)     TO DET1-KEY.
           MOVE ARR-NAME(I)    TO DET1-NAME

           WRITE R-HTML-OUT FROM DETA1.

           GO 100-LEE.
       100-EXIT.
           EXIT.

       500-TITLES.
           MOVE SPACES TO MEM-LINE.
           STRING "<VAR NAME-COMPANY='", MEM-COMPANY, "'>"
                  DELIMITED BY SIZE INTO MEM-LINE.
           WRITE R-HTML-OUT FROM MEM-LINE.
           
           MOVE "<include 'c:\cobhttpd\acu-prog\reps\report1.def'>" 
                TO MEM-LINE.
           WRITE R-HTML-OUT FROM MEM-LINE.

           MOVE "<body>" TO MEM-LINE.
           WRITE R-HTML-OUT FROM MEM-LINE.
           
       600-CONVER-PDF.
           MOVE HTTP-OUTPUT TO CBV-REP CBV-PDF.
           INSPECT CBV-PDF REPLACING ALL ".lis" BY ".pdf".
      *     DISPLAY WSS-COBVIEW LINE 2 POS 1.                       
           CALL "SYSTEM" USING WSS-COBVIEW.
      *     DISPLAY "TERMINO" LINE 3 POS 1.
      *     ACCEPT I.



       900-MSG-ERROR.
           MOVE "<CENTER><BIG>" TO HTML-COMMAND.
           PERFORM TPL-DISP-COMMAND.

           MOVE "ERROR AL ABRIR CATALOGO DE CLIENTES" TO HTML-COMMAND.
           PERFORM TPL-DISP-COMMAND.

           STRING "<BR>ARCHIVO = ", WF-CLIENTES
                  DELIMITED BY SIZE INTO HTML-COMMAND.
           PERFORM TPL-DISP-COMMAND.

           STRING "<BR>ESTATUS DEL ARCHIVO = ", STAT-CAT
                  DELIMITED BY SIZE INTO HTML-COMMAND.
           PERFORM TPL-DISP-COMMAND.

           MOVE "</BIG></CENTER>" TO HTML-COMMAND.
           PERFORM TPL-DISP-COMMAND.



       COPY "COBLIB\TEMPLATE.FDT".

       999-EXIT.

       EXIT-PROG.
           EXIT PROGRAM.

       END PROGRAM.

